package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NitplbStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date chgdat;

    private Nidgrp oldnidgrp;
    private  BigDecimal chgamt = new BigDecimal("0.00");

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
    }
}
